/* Media Queries */
@media screen and (max-width: 1024px) {
    .header-main {
        margin-left: 1rem;
    }

    .header-items nav a {
        margin-left: 1.5rem;
        font-size: 0.95rem;
    }

    .hero {
        padding: 40px 25px;
    }

    .about-counter {
        right: 2%;
        bottom: 2%;
    }

    .hero-main h1 {
        opacity: 1;
    }

    .hero-main h3 {
        opacity: 1;
    }

    .hero .hero-main h2 {
        opacity: 1;
    }

    .hero-main p {
        opacity: 1;
    }

    .hero-main-link a {
        opacity: 1;
    }

    .hero-main h1.aos {
        animation: fadeup 1s ease 1 forwards;
    }

    .hero-main h3.aos {
        animation: fadeup 1s ease 1 forwards;
    }

    .hero .hero-main h2.aos {
        animation: fadeup 1s ease 1 forwards;
    }

    .hero-main p.aos {
        animation: fadeup 1s ease 1 forwards;
    }

    .hero-main-link a.aos {
        animation: fadeup 1s ease 1 forwards;
    }

    .hero-item-01.aos,
    .hero-item-02.aos,
    .hero-item-03.aos,
    .hero-item-04.aos {
        animation: fadeupp 1s ease 1 forwards;
    }

    .hero-item .hero-gif.aos {
        animation: zoomin 1s ease 1 forwards;
    }

    .hero-item .hero-gif {
        position: relative;
        transform: translate(0, 0);
        top: 0;
        left: 0;
    }
}

@media screen and (max-width: 768px) {
    .section {
        padding: 50px 5px;
    }

    header {
        padding: 5px 0px;
    }

    header .nav-project {
        display: none;
    }

    .header-items nav {
        position: fixed;
        top: 70px;
        right: -100%;
        width: 70%;
        max-width: 300px;
        transition: right 0.3s ease;
        z-index: 999;
        box-shadow: -5px 0 15px rgba(0, 0, 0, 0.3);
        display: flex;
        align-items: center;
        flex-direction: column;
        border-top-left-radius: 25px;
        border-bottom-left-radius: 25px;
        padding: 2rem 0;
        background: rgba(0, 0, 0, 0.7);
        backdrop-filter: blur(40px);
        margin: 0;
    }

    .header-items nav.show {
        right: 0;
    }

    .nav-toggle {
        display: block;
        margin-right: 1rem;
    }

    .hero {
        padding: 80px 5px 50px 5px;
        flex-direction: column;
        min-height: auto;
    }

    .hero-main {
        width: 100%;
        align-items: center;
        justify-content: center;
    }

    .hero-item {
        width: 100%;
        position: relative;
    }

    .hero-item .hero-gif {
        position: relative;
        transform: translate(0, 0);
        top: 0;
        left: 0;
    }

    .hero-main p {
        text-align: center;
    }

    .hero-item-01 img {
        right: 5%;
        top: 10%;
    }

    .hero-item-02 img {
        right: 5%;
        bottom: 10%;
    }

    .hero-item-03 img {
        left: 5%;
        top: 10%;
    }

    .hero-item-04 img {
        left: 5%;
        bottom: 10%;
    }



    .about-main {
        grid-template-columns: 1fr;
    }


    .tab {
        gap: 10px;
        padding: 0px;
    }

    .project-card-back {
        padding: 0px 15px;
    }


    .content .content-all .projects-container .project-item {
        width: 300px;
        aspect-ratio: 1 / 1.2;
    }
}